diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/__init__.py
index 3234fa73b..7f3c680d7 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/__init__.py
@@ -175,7 +175,6 @@ class SynonymView(PGChildNodeView):
         'stats': [{'get': 'statistics'}],
         'dependency': [{'get': 'dependencies'}],
         'dependent': [{'get': 'dependents'}],
-        'module.js': [{}, {}, {'get': 'module_js'}],
         'get_target_objects': [{'get': 'get_target_objects'},
                                {'get': 'get_target_objects'}]
     })
@@ -204,7 +203,7 @@ def wrap(*args, **kwargs):
                 )
 
             # we will set template path for sql scripts
-            self.template_path = 'synonym/sql/#{0}#'.format(
+            self.template_path = 'synonyms/sql/#{0}#'.format(
                 self.manager.version)
 
             return f(*args, **kwargs)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/__init__.py
index 0f017e885..d0beb8dfb 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/__init__.py
@@ -99,10 +99,6 @@ class TableView(BaseTableView, DataTypeReader, VacuumSettings):
     * __init__(**kwargs)
       - Method is used to initialize the TableView and it's base view.
 
-    * module_js()
-      - This property defines (if javascript) exists for this node.
-        Override this property for your own logic
-
     * list()
       - This function is used to list all the Table nodes within that
       collection.
@@ -222,7 +218,6 @@ class TableView(BaseTableView, DataTypeReader, VacuumSettings):
         'stats': [{'get': 'statistics'}, {'get': 'statistics'}],
         'dependency': [{'get': 'dependencies'}],
         'dependent': [{'get': 'dependents'}],
-        'module.js': [{}, {}, {'get': 'module_js'}],
         'get_oftype': [{'get': 'get_oftype'}, {'get': 'get_oftype'}],
         'get_inherits': [{'get': 'get_inherits'}, {'get': 'get_inherits'}],
         'get_relations': [{'get': 'get_relations'}, {'get': 'get_relations'}],
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/__init__.py
index 66f6df65a..fdf72d73d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/__init__.py
@@ -114,10 +114,6 @@ class ColumnsView(PGChildNodeView, DataTypeReader):
     * __init__(**kwargs)
       - Method is used to initialize the ColumnView and it's base view.
 
-    * module_js()
-      - This property defines (if javascript) exists for this node.
-        Override this property for your own logic
-
     * check_precondition()
       - This function will behave as a decorator which will checks
         database connection before running view, it will also attaches
@@ -189,8 +185,7 @@ class ColumnsView(PGChildNodeView, DataTypeReader):
         'msql': [{'get': 'msql'}, {'get': 'msql'}],
         'stats': [{'get': 'statistics'}],
         'dependency': [{'get': 'dependencies'}],
-        'dependent': [{'get': 'dependents'}],
-        'module.js': [{}, {}, {'get': 'module_js'}],
+        'dependent': [{'get': 'dependents'}]
     })
 
     def check_precondition(f):
@@ -213,7 +208,7 @@ def wrap(*args, **kwargs):
             self.qtTypeIdent = driver.qtTypeIdent
 
             # Set the template path for the SQL scripts
-            self.template_path = 'column/sql/#{0}#'.format(
+            self.template_path = 'columns/sql/#{0}#'.format(
                 self.manager.version)
 
             # Allowed ACL for column 'Select/Update/Insert/References'
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/__init__.py
index 7d90195be..ebc96454a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/__init__.py
@@ -132,22 +132,3 @@ def proplist(**kwargs):
         response=res,
         status=200
     )
-
-
-@blueprint.route('/module.js')
-def module_js():
-    """
-      This property defines whether javascript exists for this node.
-
-    """
-    return make_response(
-        render_template(
-            "constraints/js/constraints.js",
-            _=gettext,
-            constraints=[
-                (ConstraintRegistry.registry[n])['blueprint'].NODE_TYPE
-                for n in ConstraintRegistry.registry
-            ]
-        ),
-        200, {'Content-Type': 'application/javascript'}
-    )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/__init__.py
index 9437116b3..904e073ca 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/__init__.py
@@ -112,9 +112,6 @@ class CheckConstraintView(PGChildNodeView):
     Methods:
     -------
 
-    * module_js():
-      - Load JS file (check_constraint.js) for this module.
-
     * check_precondition(f):
       - Works as a decorator.
       -  Checks database connection status.
@@ -183,22 +180,9 @@ class CheckConstraintView(PGChildNodeView):
         'stats': [{'get': 'statistics'}],
         'dependency': [{'get': 'dependencies'}],
         'dependent': [{'get': 'dependents'}],
-        'module.js': [{}, {}, {'get': 'module_js'}],
         'validate': [{'get': 'validate_check_constraint'}],
     })
 
-    def module_js(self):
-        """
-        Load JS file (check_constraint.js) for this module.
-        """
-        return make_response(
-            render_template(
-                "check_constraint/js/check_constraint.js",
-                _=_
-            ),
-            200, {'Content-Type': 'application/javascript'}
-        )
-
     def check_precondition(f):
         """
         Works as a decorator.
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/__init__.py
index fbe3a480d..c08e6ef65 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/__init__.py
@@ -123,10 +123,6 @@ class ExclusionConstraintView(PGChildNodeView)
       - Method is used to initialize the ForeignKeyConstraintView and
       it's base view.
 
-    * module_js()
-      - This property defines (if javascript) exists for this node.
-        Override this property for your own logic
-
     * check_precondition()
       - This function will behave as a decorator which will checks
         database connection before running view, it will also attaches
@@ -209,23 +205,9 @@ class ExclusionConstraintView(PGChildNodeView)
         'msql': [{'get': 'msql'}, {'get': 'msql'}],
         'stats': [{'get': 'statistics'}],
         'dependency': [{'get': 'dependencies'}],
-        'dependent': [{'get': 'dependents'}],
-        'module.js': [{}, {}, {'get': 'module_js'}]
+        'dependent': [{'get': 'dependents'}]
     })
 
-    def module_js(self):
-        """
-        This property defines (if javascript) exists for this node.
-        Override this property for your own logic.
-        """
-        return make_response(
-            render_template(
-                "exclusion_constraint/js/exclusion_constraint.js",
-                _=_
-            ),
-            200, {'Content-Type': 'application/javascript'}
-        )
-
     def check_precondition(f):
         """
         This function will behave as a decorator which will checks
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/__init__.py
index b581fe834..2105fe210 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/__init__.py
@@ -146,10 +146,6 @@ class ForeignKeyConstraintView(PGChildNodeView)
       - Method is used to initialize the ForeignKeyConstraintView and
       it's base view.
 
-    * module_js()
-      - This property defines (if javascript) exists for this node.
-        Override this property for your own logic
-
     * check_precondition()
       - This function will behave as a decorator which will checks
         database connection before running view, it will also attaches
@@ -217,25 +213,11 @@ class ForeignKeyConstraintView(PGChildNodeView)
         'stats': [{'get': 'statistics'}],
         'dependency': [{'get': 'dependencies'}],
         'dependent': [{'get': 'dependents'}],
-        'module.js': [{}, {}, {'get': 'module_js'}],
         'indices': [{}, {'get': 'get_indices'}],
         'validate': [{'get': 'validate_foreign_key'}],
         'get_coveringindex': [{}, {'get': 'get_coveringindex'}]
     })
 
-    def module_js(self):
-        """
-        This property defines (if javascript) exists for this node.
-        Override this property for your own logic.
-        """
-        return make_response(
-            render_template(
-                "foreign_key/js/foreign_key.js",
-                _=_
-            ),
-            200, {'Content-Type': 'application/javascript'}
-        )
-
     def check_precondition(f):
         """
         This function will behave as a decorator which will checks
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/__init__.py
index d1d36d520..fb733ad67 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/__init__.py
@@ -150,10 +150,6 @@ class PrimaryKeyConstraintView(PGChildNodeView)
       - Method is used to initialize the PrimaryKeyConstraintView and
       it's base view.
 
-    * module_js()
-      - This property defines (if javascript) exists for this node.
-        Override this property for your own logic
-
     * check_precondition()
       - This function will behave as a decorator which will checks
         database connection before running view, it will also attaches
@@ -229,25 +225,9 @@ class PrimaryKeyConstraintView(PGChildNodeView)
         'msql': [{'get': 'msql'}, {'get': 'msql'}],
         'stats': [{'get': 'statistics'}],
         'dependency': [{'get': 'dependencies'}],
-        'dependent': [{'get': 'dependents'}],
-        'module.js': [{}, {}, {'get': 'module_js'}]
+        'dependent': [{'get': 'dependents'}]
     })
 
-    def module_js(self):
-        """
-        This property defines (if javascript) exists for this node.
-        Override this property for your own logic.
-        """
-        return make_response(
-            render_template(
-                "index_constraint/js/index_constraint.js",
-                _=_,
-                node_type=self.node_type,
-                node_label=self.node_label
-            ),
-            200, {'Content-Type': 'application/javascript'}
-        )
-
     def check_precondition(f):
         """
         This function will behave as a decorator which will checks
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/__init__.py
index 269df983d..fea4ddbfd 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/__init__.py
@@ -142,10 +142,6 @@ class IndexesView(PGChildNodeView):
     * __init__(**kwargs)
       - Method is used to initialize the IndexView and it's base view.
 
-    * module_js()
-      - This property defines (if javascript) exists for this node.
-        Override this property for your own logic
-
     * check_precondition()
       - This function will behave as a decorator which will checks
         database connection before running view, it will also attaches
@@ -221,7 +217,6 @@ class IndexesView(PGChildNodeView):
         'stats': [{'get': 'statistics'}, {'get': 'statistics'}],
         'dependency': [{'get': 'dependencies'}],
         'dependent': [{'get': 'dependents'}],
-        'module.js': [{}, {}, {'get': 'module_js'}],
         'get_collations': [{'get': 'get_collations'},
                            {'get': 'get_collations'}],
         'get_access_methods': [{'get': 'get_access_methods'},
@@ -253,7 +248,7 @@ def wrap(*args, **kwargs):
 
             # we will set template path for sql scripts
             self.template_path = compile_template_path(
-                'index/sql/',
+                'indexes/sql/',
                 self.manager.server_type,
                 self.manager.version
             )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/__init__.py
index b363e2912..61b413aec 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/__init__.py
@@ -31,7 +31,7 @@ def backend_supported(module, manager, **kwargs):
             module, manager, **kwargs):
         conn = manager.connection(did=kwargs['did'])
 
-        template_path = 'partition/sql/{0}/#{0}#{1}#'.format(
+        template_path = 'partitions/sql/{0}/#{0}#{1}#'.format(
             manager.server_type, manager.version
         )
         SQL = render_template("/".join(
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/test_backend_supported.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/test_backend_supported.py
index 751b5712d..d0a3b98ee 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/test_backend_supported.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/test_backend_supported.py
@@ -69,7 +69,7 @@ class TestBackendSupport(BaseTestGenerator):
              expect_error_response=False,
              expected_number_calls_on_render_template=1,
              expect_render_template_to_be_called_with=call(
-                 'partition/sql/gpdb/#gpdb#5#/backend_support.sql', tid=123
+                 'partitions/sql/gpdb/#gpdb#5#/backend_support.sql', tid=123
              )
          )),
         ('when error happens while querying the database, '
@@ -88,7 +88,7 @@ class TestBackendSupport(BaseTestGenerator):
              expect_error_response=True,
              expected_number_calls_on_render_template=1,
              expect_render_template_to_be_called_with=call(
-                 'partition/sql/pg/#pg#10#/backend_support.sql', tid=123
+                 'partitions/sql/pg/#pg#10#/backend_support.sql', tid=123
              )
          ))
     ]
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/__init__.py
index b45ed3ea9..070875e8f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/__init__.py
@@ -175,22 +175,9 @@ class RuleView(PGChildNodeView):
         'stats': [{'get': 'statistics'}],
         'dependency': [{'get': 'dependencies'}],
         'dependent': [{'get': 'dependents'}],
-        'module.js': [{}, {}, {'get': 'module_js'}],
         'configs': [{'get': 'configs'}]
     })
 
-    def module_js(self):
-        """
-        This property defines whether Javascript exists for this node.
-        """
-        return make_response(
-            render_template(
-                "rules/js/rules.js",
-                _=gettext
-            ),
-            200, {'Content-Type': 'application/javascript'}
-        )
-
     def check_precondition(f):
         """
         This function will behave as a decorator which will check the
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_column_acl_sql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_column_acl_sql.py
index 70eb60213..f599892b8 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_column_acl_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_column_acl_sql.py
@@ -51,6 +51,6 @@ def assertions(self, fetch_result, descriptions):
     @staticmethod
     def get_template_file(version, filename):
         return os.path.join(
-            os.path.dirname(__file__), "..", "templates", "column", "sql",
+            os.path.dirname(__file__), "..", "templates", "columns", "sql",
             version, filename
         )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_column_properties_sql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_column_properties_sql.py
index 14a47b786..c098605ec 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_column_properties_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_column_properties_sql.py
@@ -51,6 +51,6 @@ def assertions(self, fetch_result, descriptions):
     @staticmethod
     def get_template_file(version, filename):
         return os.path.join(
-            os.path.dirname(__file__), "..", "templates", "column", "sql",
+            os.path.dirname(__file__), "..", "templates", "columns", "sql",
             version, filename
         )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_acl_sql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_acl_sql.py
index 3e601dd54..4b995e932 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_acl_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_acl_sql.py
@@ -57,6 +57,6 @@ def assertions(self, fetch_result, descriptions):
     @staticmethod
     def get_template_file(version, filename):
         return os.path.join(
-            os.path.dirname(__file__), "..", "templates", "table", "sql",
+            os.path.dirname(__file__), "..", "templates", "tables", "sql",
             version, filename
         )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_node_sql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_node_sql.py
index f0765e7d2..e14df0d6b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_node_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_node_sql.py
@@ -54,6 +54,6 @@ def assertions(self, fetch_result, descriptions):
     @staticmethod
     def get_template_file(version, filename):
         return os.path.join(
-            os.path.dirname(__file__), "..", "templates", "table", "sql",
+            os.path.dirname(__file__), "..", "templates", "tables", "sql",
             version, filename
         )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_properties_sql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_properties_sql.py
index d3769e331..f1323a3ae 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_properties_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_properties_sql.py
@@ -70,6 +70,6 @@ def test_setup(self, connection, cursor):
     @staticmethod
     def get_template_file(version, filename):
         return os.path.join(
-            os.path.dirname(__file__), "..", "templates", "table", "sql",
+            os.path.dirname(__file__), "..", "templates", "tables", "sql",
             version, filename
         )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_template_create.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_template_create.py
index c041899e5..ef9fda32d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_template_create.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_template_create.py
@@ -27,7 +27,7 @@ class TestTemplateCreate(BaseTestGenerator):
             'when no primary key is present, '
             'it returns "DISTRIBUTED RANDOMLY"',
             dict(
-                template_path='table/sql/gpdb_5.0_plus/create.sql',
+                template_path='tables/sql/gpdb_5.0_plus/create.sql',
                 input_parameters=dict(
                     data=dict()
                 ),
@@ -41,7 +41,7 @@ class TestTemplateCreate(BaseTestGenerator):
             'when primary key is present, '
             'it returns "DISTRIBUTED BY (attr_primary_key)"',
             dict(
-                template_path='table/sql/gpdb_5.0_plus/create.sql',
+                template_path='tables/sql/gpdb_5.0_plus/create.sql',
                 input_parameters=dict(
                     data=dict(
                         primary_key=[
@@ -66,7 +66,7 @@ class TestTemplateCreate(BaseTestGenerator):
             'when distribution is present, '
             'it returns "DISTRIBUTED BY (attr1, attr2, attr4)"',
             dict(
-                template_path='table/sql/gpdb_5.0_plus/create.sql',
+                template_path='tables/sql/gpdb_5.0_plus/create.sql',
                 input_parameters=dict(
                     data=dict(
                         distribution=[1, 2, 4],
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_trigger_get_oid_sql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_trigger_get_oid_sql.py
index 31e25290c..beefe1b07 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_trigger_get_oid_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_trigger_get_oid_sql.py
@@ -51,6 +51,6 @@ def assertions(self, fetch_result, descriptions):
     @staticmethod
     def get_template_file(version, filename):
         return os.path.join(
-            os.path.dirname(__file__), "..", "templates", "trigger", "sql",
+            os.path.dirname(__file__), "..", "templates", "triggers", "sql",
             version, filename
         )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_trigger_nodes_sql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_trigger_nodes_sql.py
index 5686f85bf..6ce354815 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_trigger_nodes_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_trigger_nodes_sql.py
@@ -42,6 +42,6 @@ def assertions(self, fetch_result, descriptions):
     @staticmethod
     def get_template_file(version, filename):
         return os.path.join(
-            os.path.dirname(__file__), "..", "templates", "trigger", "sql",
+            os.path.dirname(__file__), "..", "templates", "triggers", "sql",
             version, filename
         )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_utils.py
index 3a2ced909..169cdf1d6 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_utils.py
@@ -52,7 +52,7 @@ def __wrap_tests(self):
             )
             subject.test(did=1, sid=2)
             self.assertEqual(
-                subject.table_template_path, 'table/sql/#gpdb#10#')
+                subject.table_template_path, 'tables/sql/#gpdb#10#')
             self.assertEqual(
                 subject.data_type_template_path, 'datatype/sql/#gpdb#10#')
             self.assertEqual(
@@ -66,7 +66,7 @@ def __wrap_tests(self):
                 'foreign_key/sql/#gpdb#10#')
             self.assertEqual(
                 subject.index_template_path,
-                'index/sql/#gpdb#10#')
+                'indexes/sql/#gpdb#10#')
             self.assertEqual(
                 subject.trigger_template_path,
-                'trigger/sql/#gpdb#10#')
+                'triggers/sql/#gpdb#10#')
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/__init__.py
index 0dc8de6ea..0bdba79bb 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/__init__.py
@@ -78,7 +78,7 @@ def BackendSupported(self, manager, **kwargs):
             if 'vid' not in kwargs:
                 return True
 
-            template_path = 'trigger/sql/#{0}#'.format(manager.version)
+            template_path = 'triggers/sql/#{0}#'.format(manager.version)
             SQL = render_template("/".join(
                 [template_path, 'backend_support.sql']), vid=kwargs['vid']
             )
@@ -132,7 +132,7 @@ def csssnippets(self):
         """
         snippets = [
             render_template(
-                "trigger/css/trigger.css",
+                "triggers/css/trigger.css",
                 node_type=self.node_type
             )
         ]
@@ -155,10 +155,6 @@ class TriggerView(PGChildNodeView):
     * __init__(**kwargs)
       - Method is used to initialize the TriggerView and it's base view.
 
-    * module_js()
-      - This property defines (if javascript) exists for this node.
-        Override this property for your own logic
-
     * check_precondition()
       - This function will behave as a decorator which will checks
         database connection before running view, it will also attaches
@@ -248,7 +244,6 @@ class TriggerView(PGChildNodeView):
         'stats': [{'get': 'statistics'}],
         'dependency': [{'get': 'dependencies'}],
         'dependent': [{'get': 'dependents'}],
-        'module.js': [{}, {}, {'get': 'module_js'}],
         'get_triggerfunctions': [{'get': 'get_trigger_functions'},
                                  {'get': 'get_trigger_functions'}],
         'enable': [{'put': 'enable_disable_trigger'}]
@@ -277,7 +272,7 @@ def wrap(*args, **kwargs):
                 kwargs['did'] in self.manager.db_info else 0
 
             # we will set template path for sql scripts
-            self.template_path = 'trigger/sql/#{0}#'.format(
+            self.template_path = 'triggers/sql/#{0}#'.format(
                 self.manager.version)
             # Store server type
             self.server_type = self.manager.server_type
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/utils.py
index 7815b3252..05a6a2382 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/utils.py
@@ -110,17 +110,17 @@ def wrap(*args, **kwargs):
             ver = self.manager.version
             server_type = self.manager.server_type
             # Set the template path for the SQL scripts
-            self.table_template_path = compile_template_path('table/sql',
+            self.table_template_path = compile_template_path('tables/sql',
                                                              server_type, ver)
             self.data_type_template_path = compile_template_path(
                 'datatype/sql',
                 server_type, ver)
             self.partition_template_path = \
-                'partition/sql/{0}/#{0}#{1}#'.format(server_type, ver)
+                'partitions/sql/{0}/#{0}#{1}#'.format(server_type, ver)
 
             # Template for Column ,check constraint and exclusion
             # constraint node
-            self.column_template_path = 'column/sql/#{0}#'.format(ver)
+            self.column_template_path = 'columns/sql/#{0}#'.format(ver)
             self.check_constraint_template_path = compile_template_path(
                 'check_constraint/sql', server_type, ver)
             self.exclusion_constraint_template_path = compile_template_path(
@@ -136,11 +136,11 @@ def wrap(*args, **kwargs):
 
             # Template for index node
             self.index_template_path = compile_template_path(
-                'index/sql', server_type, ver)
+                'indexes/sql', server_type, ver)
 
             # Template for trigger node
             self.trigger_template_path = compile_template_path(
-                'trigger/sql', server_type, ver)
+                'triggers/sql', server_type, ver)
 
             # Template for rules node
             self.rules_template_path = 'rules/sql'
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/__init__.py
index a0427a92e..8d428dc1f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/__init__.py
@@ -200,7 +200,6 @@ class TypeView(PGChildNodeView, DataTypeReader):
         'stats': [{'get': 'statistics'}],
         'dependency': [{'get': 'dependencies'}],
         'dependent': [{'get': 'dependents'}],
-        'module.js': [{}, {}, {'get': 'module_js'}],
         'get_types': [{'get': 'get_types'}, {'get': 'get_types'}],
         'get_stypes': [{'get': 'get_subtypes'}, {'get': 'get_subtypes'}],
         'get_subopclass': [{'get': 'get_subtype_opclass'},
@@ -244,7 +243,7 @@ def wrap(*args, **kwargs):
             ver = self.manager.version
             server_type = self.manager.server_type
             # Set the template path for the SQL scripts
-            self.template_path = 'type/sql/' + (
+            self.template_path = 'types/sql/' + (
                 '#{0}#{1}#'.format(server_type, ver)
                 if server_type == 'gpdb' else
                 '#{0}#'.format(ver)
